Response · 200
{
"code": 200,
"data": [
{
"id": 1,
"route_name": "weight-route",
"routing_strategy": "Weight-Based",
"rules": {
"path": "/v1/chat",
"endpoints": [
{
"id": 3036,
"weight": 100
}
]
},
"status": "Active",
"created_by": {
"id": 101,
"name": "John Doe",
"email": "user@example.com",
"username": "user@example.com"
},
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T10:30:00Z"
},
{
"id": 2,
"route_name": "prefix-route",
"routing_strategy": "Prefix-Based",
"rules": {
"path": "/v1/chat",
"endpoints": [
{
"id": 3036,
"weight": 100
}
]
},
"status": "Active",
"created_by": {
"id": 101,
"name": "John Doe",
"email": "user@example.com",
"username": "user@example.com"
},
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T10:30:00Z"
},
{
"id": 3,
"route_name": "header-route",
"routing_strategy": "Header-Based",
"rules": {
"path": "/v1/chat",
"headers": [
{
"key": "x-model",
"type": "Exact",
"value": "llama"
}
],
"endpoints": [
{
"id": 3036,
"weight": 100
}
]
},
"status": "Active",
"created_by": {
"id": 101,
"name": "John Doe",
"email": "user@example.com",
"username": "user@example.com"
},
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T10:30:00Z"
},
{
"id": 4,
"route_name": "path-route",
"routing_strategy": "Path-Based",
"rules": {
"path": "/v1/chat",
"endpoints": [
{
"id": 3036,
"weight": 100
}
]
},
"status": "Active",
"created_by": {
"id": 101,
"name": "John Doe",
"email": "user@example.com",
"username": "user@example.com"
},
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T10:30:00Z"
}
],
"errors": {},
"message": "Success"
}